"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VariantHardyWeinbergStats(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_12 import opencb as opencb_1_3_1

        return {
            "org.opencb.biodata.models.variant.avro.VariantHardyWeinbergStats": opencb_1_3_1.VariantHardyWeinbergStats,
        }

    __slots__ = [
        "chi2",
        "e_AA_11",
        "e_Aa_10",
        "e_aa_00",
        "n",
        "n_AA_11",
        "n_Aa_10",
        "n_aa_00",
        "p",
        "pValue",
        "q",
    ]

    def __init__(
        self,
        chi2=None,
        e_AA_11=None,
        e_Aa_10=None,
        e_aa_00=None,
        n=None,
        n_AA_11=None,
        n_Aa_10=None,
        n_aa_00=None,
        p=None,
        pValue=None,
        q=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_1_3_1.VariantHardyWeinbergStats model.

        :param chi2:
        :type chi2: None | float
        :param e_AA_11:
        :type e_AA_11: None | float
        :param e_Aa_10:
        :type e_Aa_10: None | float
        :param e_aa_00:
        :type e_aa_00: None | float
        :param n:
        :type n: None | int
        :param n_AA_11:
        :type n_AA_11: None | int
        :param n_Aa_10:
        :type n_Aa_10: None | int
        :param n_aa_00:
        :type n_aa_00: None | int
        :param p:
        :type p: None | float
        :param pValue:
        :type pValue: None | float
        :param q:
        :type q: None | float
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.1"
